> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Provider Sync

> Trigger a one-off sync against a single provider connection

# Trigger Provider Sync

Trigger a sync against a specific provider connection. Useful when you want to refresh a single provider without syncing all calendars (which is what [Trigger Calendars Sync](/api-reference/endpoints/trigger-calendars-sync) does).

## Endpoint

```
POST /api/v1/calendars/{calendar_id}/providers/{provider_id}/sync
```

## Path parameters

<ParamField path="calendar_id" type="string" required>Calendar UUID.</ParamField>
<ParamField path="provider_id" type="string" required>Provider connection UUID.</ParamField>

## Request headers

<ParamField header="Authorization" type="string" required>
  Bearer token. Format: `Bearer talq_your_environment_token_here`
</ParamField>

## Examples

<RequestExample>
  ```bash theme={null}
  curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/providers/conn-uuid-1/sync" \
    -H "Authorization: Bearer talq_your_environment_token_here"
  ```
</RequestExample>

## Response

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": {
      "queued": true,
      "queued_at": "2024-01-15T19:30:00Z"
    }
  }
  ```
</ResponseExample>
